Bug 231732 - Review Request: sinjdoc - Documentation generator for Java source code
Summary: Review Request: sinjdoc - Documentation generator for Java source code
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Andrew Overholt
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-10 22:06 UTC by Thomas Fitzsimmons
Modified: 2008-05-26 14:27 UTC (History)
1 user (show)

Fixed In Version: 0.5-6.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-26 14:27:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
overholt: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Thomas Fitzsimmons 2007-03-10 22:06:52 UTC
Spec URL: http://fitzsim.org/packages/sinjdoc.spec
SRPM URL: http://fitzsim.org/packages/sinjdoc-0.5-1.src.rpm
Description: sinjdoc is a tool for generating Javadoc-style documentation from Java source code.

Comment 1 Thomas Fitzsimmons 2007-03-11 18:34:01 UTC
I confirmed that this package builds in mock.


Comment 2 Andrew Overholt 2007-03-12 20:00:15 UTC
My only comment:  should we Obsolete/Provide gjdoc?

The only thing that needs fixing is the changelog entry.

MUST:
* package is named appropriately
* is it legal for Fedora to distribute this?
 - yes
* license field matches the actual license.
* license is open source-compatible.
* specfile name matches %{name}
* verify source and patches (md5sum matches upstream, know what the patches do)
* skim the summary and description for typos, etc.
* correct buildroot
* %{?dist} used properly
* license text included in package and marked with %doc
* package meets FHS (http://www.pathname.com/fhs/)
* rpmlint on sinjdoc-0.5-1.src.rpm gives no output
X changelog is fine
  - you have an extra space before the 8 ... perhaps just zero-pad it?
* Packager tag not used
* Vendor tag not used
* Distribution tag not used
* use License and not Copyright 
* Summary tag should not end in a period
* no PreReq
* specfile is legible
* package successfully compiles and builds on at least x86
* BuildRequires are proper
* summary is a short and concise description of the package
* description expands upon summary
* make sure lines are <= 80 characters
* specfile written in American English
* no -doc sub-package if necessary
* no static libs
* no rpath
* no config files
* not a GUI app
* no -devel necessary
* macros used appropriately and consistently
* %makeinstall not used
* no locale data
* no cp
* split Requires(pre,post) into two separate lines
* package not relocatable
* package contains code
* package owns all directories and files
* there should be no %files duplicates
* file permissions okay; %defattrs present
* %clean should be present
* %doc files do not affect runtime
* not a web app
* verify the final provides and requires of the binary RPMs

  $ rpm -qp --provides ../RPMS/i386/sinjdoc-0.5-1.i386.rpm 
  sinjdoc.jar.so  
  sinjdoc = 0.5-1

* run rpmlint on the binary RPMs

  $ rpmlint ../RPMS/i386/sinjdoc-0.5-1.i386.rpm 
  W: sinjdoc unstripped-binary-or-object /usr/lib/gcj/sinjdoc/sinjdoc.jar.so

SHOULD:
* package includes license text in the package and marks it with %doc
* package builds on i386
* package builds in mock
  . didn't try, but Tom says it did for him

Comment 3 Thomas Fitzsimmons 2007-03-13 04:19:26 UTC
(In reply to comment #2)
> My only comment:  should we Obsolete/Provide gjdoc?

No, the two tools can be installed in parallel, and sinjdoc doesn't yet support
all of the command-line options that gjdoc supports.  I think for the first few
sinjdoc package releases we should keep gjdoc around, and obsolete gjdoc later.

> 
> The only thing that needs fixing is the changelog entry.

OK, I always use the Emacs rpm-mode changelog format.  I guess it pads dates
with spaces rather than numbers.  Anyway, it looks like I'll commit this package
on a double-digit date, so the padding is irrelevant.

The updated spec and SRPM files are at the same URLs.

I think this one is ready-to-go.


Comment 4 Andrew Overholt 2007-03-14 16:31:17 UTC
APPROVED

Thanks, Tom.  You now need to set the fedora-cvs to ? but leave this assigned to me.

Comment 5 Warren Togami 2007-03-14 19:22:49 UTC
http://fedoraproject.org/wiki/CVSAdminProcedure
Please make an explicit request so we know exactly what you want and where.

Comment 6 Thomas Fitzsimmons 2007-03-14 20:02:52 UTC
New Package CVS Request
=======================
Package Name: sinjdoc
Short Description: Documentation generator for Java source code
Owners: fitzsim@redhat.com
Branches:
InitialCC: overholt@redhat.com


Comment 7 Jens Petersen 2007-03-15 06:42:06 UTC
done

Comment 8 Thomas Fitzsimmons 2007-03-21 13:29:21 UTC
Package Change Request
======================
Package Name: sinjdoc

Remove from cvs.fedora.redhat.com:/cvs/extras, since this package has been added
to cvs.devel.redhat.com:/cvs/dist.


Comment 9 Jens Petersen 2007-03-22 03:56:44 UTC
Please follow the steps in
http://fedoraproject.org/wiki/PackageMaintainers/PackageEndOfLife

Comment 10 Thomas Fitzsimmons 2007-03-22 14:46:22 UTC
CCing Warren: this one should be completely removed from /cvs/extras too, to
prepare for the merge.


Comment 11 Warren Togami 2007-03-22 17:53:05 UTC
Removed completely from /cvs/extras

Comment 12 Brian Pepple 2008-05-25 23:53:21 UTC
Thomas, has this package been built?  If so, this bug can be closed.


Note You need to log in before you can comment on or make changes to this bug.